petsc-3.12.4 2020-02-04
Report Typos and Errors

# DMDANaturalToGlobalBegin

Maps values from a global vector in the "natural" ordering to a global vector in the PETSc DMDA grid ordering. Must be followed by DMDANaturalToGlobalEnd() to complete the exchange.

### Synopsis

    #include "petscdmda.h"
    PetscErrorCode  DMDANaturalToGlobalBegin(DM da,Vec n,InsertMode mode,Vec g)

Neighbor-wise Collective on da

### Input Parameters

| da | - the distributed array context
| g | - the global vector in a natural ordering
| mode | - one of INSERT_VALUES or ADD_VALUES

### Output Parameter

l -the values in the DMDA ordering

### Notes

The global and natural vectors used here need not be the same as those obtained from DMCreateGlobalVector() and DMDACreateNaturalVector(), BUT they must have the same parallel data layout; they could, for example, be obtained with VecDuplicate() from the DMDA originating vectors.

### See Also

DMDAGlobalToNaturalEnd(), DMDAGlobalToNaturalBegin(), DMLocalToGlobalBegin(), DMDACreate2d(),
DMGlobalToLocalBegin(), DMGlobalToLocalEnd(), DMDACreateNaturalVector()

### Level

advanced

### Location

src/dm/impls/da/dagtol.c

### Examples

src/dm/examples/tutorials/ex6.c.html
src/ksp/ksp/examples/tutorials/ex71.c.html
Index of all DMDA routines
Table of Contents for all manual pages
Index of all manual pages